/*
   ************************************************************
   Function called from init() when it's been detected wheather
   the app is started in Full view or Mini view                
   ************************************************************
*/
function initUIfull() {
	if (window.widget) {
        // set tab-navigation mode and show softkeys
        widget.setNavigationEnabled(false);
        window.menu.showSoftkeys();
        
		// create menu
		setMenu(menuObjects);
	}

	// Set up views
	mainView = new UIView('main_view',LOCALISED_STRINGS[settingsMusicStoreISO]['ApplicationName']);
	mainView.lastUpdate = null;

	settingsView = new UIView('settings_view',LOCALISED_STRINGS[settingsMusicStoreISO]['Settings']);
	drawSettingsView();

	aboutView = new UIView('about_view',LOCALISED_STRINGS[settingsMusicStoreISO]['About']);
	drawAboutView();

	searchView = new UIView('search_view',LOCALISED_STRINGS[settingsMusicStoreISO]['Search']);
	searchView.pageCount = 0;
	searchView.currentPage = 0;
	
	window.addEventListener("scroll", scrollHandler, false);
}

function scrollHandler() {
	if (isSet(WRTui)) {
		if (WRTui.currentView != null) {
			if (WRTui.currentView.id == 'search_view') {
				if (searchView.pageCount > 0 && !searchView.gettingMoreContent) { // Om det finns fler sksidor n 1
					if (searchView.parentElement.offsetHeight + searchView.parentElement.offsetTop - document.body.scrollTop < screen.availHeight){
						searchView.gettingMoreContent = true;
						searchGetMoreContent();
					}
				}
			}
		}
	}
}