/*
   **************
   Show main view
   **************
*/

function showMainView(callback) {
	if (settingsSaved) {
		// Hide any leftover notification
		WRTui.hideAlert();
		$("#splashScreen").hide();
		
		// Reset the search page navigation
		//	mainTable.elements['searchInput'].selectSearch = 0;
			
		// set right softkey to "Hide"
		if (window.widget) {
			menu.setRightSoftkeyLabel(LOCALISED_STRINGS[settingsMusicStoreISO]['Hide'], hideWidget); // On 5800 this isn't triggered properly. after edititing text entry boxes, WHY!? So we have to work around this by never exposing Exit on the right softkay. 
		}

		hideSearchControls();

		// Trigger connect function on the FlashPlayer since we've gotten approval from the user to go online.
		if (flashPlayerState == 0) {
			setTimeout('flashPlayer(3, "rtmp://stream.music.ovi.com/a1139/l1/mp3:1.0/s/clips/pc/musicgb/10550971/13/10550971")', 1000);
		}

		if (recommendCarousel!=null) {
			if (recommendCarousel.animState == false) {
				currentIndex = miniView.currentIndex;
				recommendCarousel.animateCarousel(true);
				recommendCarousel.setBuffer(recommendCarousel.elements[currentIndex]);
				recommendCarousel.setVisible(recommendCarousel.elements[currentIndex]);
			}
		}
		
		hbTracking('home');
			
		if (isSet(callback)) {
			eval(callback);
		}

		// show the main view
		setTimeout('WRTui.showView(mainView)', 250);
	} else {
		WRTui.showAlert(LOCALISED_STRINGS[settingsMusicStoreISO]["PleaseSelectStore"], 2000);
	}
}