/*
   ********************
   Update settings view
   ********************
*/

/*
   *****************************************
   Callback for when Genre has been selected
   *****************************************
*/
function selectGenreChanged(eventObject) {
	// Get the selected option index and value so we can use that for later when getting the XML feed and searching etc.. 
	optionObj = eventObject.srcElement;
	settingsGenreID = optionObj.value;
	settingsGenreName = optionObj.text;
	drawMainView('drawMiniView();');
}


function updateSettingsViewJSON() {
	// Hide any leftover notification
		WRTui.hideAlert();

		var JSONGenres = getAPICommostRecentGenresList();
	
		var elements = new Array();
		for (i = 0; i < JSONGenres.length; i++) {
			elements[i] = JSONGenres[i].title;
		}
}


