/*
   *************************************************
   Function called when the Search button is pressed
   *************************************************
*/
function searchMusic() {

	searchString = mainTable.elements['searchInput'].value;

	if (searchString!='' && searchString!=LOCALISED_STRINGS[settingsMusicStoreISO]['FindMusic']) {

		// set right softkey to "Main"
		if (window.widget) {
			menu.setRightSoftkeyLabel(LOCALISED_STRINGS[settingsMusicStoreISO]['Main'], showMainView); // On 5800 this isn't triggered properly. after edititing text entry boxes, WHY!? So we have to work around this by never exposing Exit on the right softkay. 
		}

	
		var APICom_ = new APICom(function (data) {
			WRTui.hideAlert();
			if(data.paging.totalResults <= 0) {
				WRTui.showAlert(LOCALISED_STRINGS[settingsMusicStoreISO]['NoSearchResults'], 2000);
			} else {
                setAPIComMostRecentSearchResults(data);
                drawSearchView(data, 'showSearchView()');
			}	
		}, function (event) {
			WRTui.showAlert(LOCALISED_STRINGS[settingsMusicStoreISO]['ConnectionError'], 2000);
		});
		

		hbTracking('searchResults','',searchString);
		APICom_.search(searchString, SEARCH_TYPE_TRACK_TITLE);

		WRTui.showAlert(LOCALISED_STRINGS[settingsMusicStoreISO]['Searching']);

	} else {
		hideSearchControls();
		WRTui.showAlert(LOCALISED_STRINGS[settingsMusicStoreISO]['EnterSearchString'], 2000);		
	}
	
}

