/*
 ***********************************************
 Callback for when Music Store has been selected
 ***********************************************
 */
function selectMusicStoreChanged(eventObject) {
    optionObj = eventObject.currentTarget.childNodes[0];
    var choosenOption = optionObj.value;
    if (choosenOption <= 0) {
		settingsSaved = false;
		settingsMusicStoreISO = 'gb';
        settingsMusicStore = 0;
        settingsGenreID = null;
		settingsGenreName = '';
		
		// update menu
		if (window.widget) {
			setMenu(menuObjects);
			menu.setRightSoftkeyLabel(LOCALISED_STRINGS[settingsMusicStoreISO]['Save'], savePreferences); 
		}

		drawSettingsView();
		drawAboutView();
    }
    else {
		settingsMusicStoreISO = choosenOption;
		settingsMusicStore = optionObj.selectedIndex;
		
		if (!isSet(LOCALISED_STRINGS[settingsMusicStoreISO])) {
			LOCALISED_STRINGS[settingsMusicStoreISO] = LOCALISED_STRINGS['gb'];
		}
		
		// update menu
		if (window.widget) {
			setMenu(menuObjects);
			menu.setRightSoftkeyLabel(LOCALISED_STRINGS[settingsMusicStoreISO]['Save'], savePreferences); 
		}
		
		// Reset all variables used for the mainview
		exposeContent = new Array();
		exposeBuffer = new Array();
		exposeItem = null;
		exposeCurrentIndex = 0;

		settingsGenreID = null;
		settingsGenreName = '';
		mainView.lastUpdate = null;
		miniView.lastUpdate = null;
			
		mostRecentGenresList = null;
		mostRecentTop5GenresList = null;
		mostRecentSearchResults = null;
		mostRecentLinkData = null;
		mostRecentBannersList = null;
		mostRecentEditorsList = null;
		mostRecentEditorsHeading = null;
		
		drawSettingsView();
		drawAboutView();
	}
}


