/*
   *************************************************************
   Function that shows an update notice. This is triggered when
   the version number has changed in the XML feed.
   
   The notice is also taken from the XML feed so that
   localisation and other notes can be added on a country basis.
   *************************************************************
*/
function showUpdateNote() {
	// Set the splash text
	// Check current xml widget version number
	widgetInfo = XMLdoc.getElementsByTagName("widgetInfo");

	var splashTextString = $(widgetInfo[0]).attr("minitext");
	var splashHtml = '<div style="height:100%;background:url(WRTKit/Resources/ControlAssemblyBackground.png) repeat-x;"><img alt="" src="icon.png" class="splash_logo_mini" /><br><div class="splashTxtMini" id="splashTxt">'+splashTextString+'</div></div>';
	miniView.parentElement.innerHTML = splashHtml;

	// show the mini view
	setTimeout('WRTui.showView(miniView)',10);	
}