/*
   ************************
   Trigger a hitbox counter
   ************************
*/
function hbTracking(widgetAction,genreName,searchWord) {

	var arrMusicStore = MUSIC_STORES[settingsMusicStore].split(':');

	hbUrl = 'http://metrics.nokia.com/b/ss/nokiaglobalmcg0prod/5/' + (new Date().getTime()) + '?';
	hbPre = 'D=~&c6=ovimusicexplorermcg0&c48=~c40%2b":"%2bgn&';
	hbSearchKeyword = '';
	hbGn = '';

	switch (widgetAction) {
		case 'widgetLaunch':
			hbGn = "gn=widget%20launched&" + 'h5=37&';
		break;
		case 'storeSelection':
			hbGn = "gn=store%20selection&";
		break;
		case 'homeScreen':
			hbGn = "gn=widget%20added%20to%20home%20screen&" + 'h5=18&';
		break;
		case 'firstRun':
			hbGn = "gn=widget%20installed&" + 'h5=40&';
		break;
		case 'home':
			hbGn = "gn=home&";
		break;
		case 'searchResults':
			hbGn = "gn=search%20results&" + 'h5=14&';
			hbSearchKeyword = '&c36=' + searchWord;
		break;
		case 'goToStore':
			hbGn = "gn=go%20to%20music%20store&" + 'h5=19&';
		break;
		case '30secClip':
			hbGn = "gn=stream%20launched&" + "pl=;"+genreName+"&" + 'h5=26&';
		break;
		case 'contentLoaded':
			hbGn = "gn=content%20loaded&" + "pl=;"+genreName+"&" + 'h5=36&';
		break;
		case 'genreFavourite':
			hbGn = "gn=genre%20added%20to%20favorite&" + "pl=;"+genreName+"&" + 'h5=38&';
		break;
		default :
	}

	hbPost = 'c23='+arrMusicStore[1]+':'+arrMusicStore[2]+'&ch=ovi:musicexplorer:mc' + hbSearchKeyword + '&c40='+arrMusicStore[1]+'&v40=~c40';

	hbLink = hbUrl + hbPre + hbGn + hbPost;

	//alert("SiteCatalyst link:\n" + hbLink);
	
	var httpReq = new Ajax();
	httpReq.open("GET", hbLink, true);
	httpReq.send(null);
/*
	uTimg = document.getElementById("uTimg");
	uTimg.innerHTML = '<img src="'+hbLink+'" width="1" height="1">';
*/
}