/*
   *************************************************
   Main function that is run when the app is started
   *************************************************
*/
function init() {	
	if (window.widget) {
		window.widget.setNavigationEnabled(false);
	}
	
	// Create WRTui main object
	WRTui = new WRTui();
	
	// Load preferences
	if (getViewMode() == "full") {
		viewMode = 'full';
		
		// Load the preferences
		loadPreferences(initFullCallback,updateFullCallback);
	} else {
		viewMode = 'mini';
		miniAdded = true;

		// Load the preferences
		loadPreferences(initMiniCallback,updateMiniCallback);
	}
	
	loadingAnimator.stop();
}

init();
