/*
   ************************
   Loads widget preferences
   ************************
*/
function loadPreferences(callback,bail) {
    if (window.widget) {
        firstRun = parseInt(widget.preferenceForKey("FirstRun"));
		if (firstRun != 0) {
			firstRun = 1;
			// Check for new version and code
			callback.call();
			return true;
		} else {
			firstRun = 0;
			hbTracking('widgetLaunch')
			settingsMusicStore = parseInt(widget.preferenceForKey("SettingsMusicStore"));
			settingsMusicStoreISO = widget.preferenceForKey("SettingsMusicStoreISO");

			if (settingsMusicStore>0) {
				settingsSaved = true;
			}
			
			if (widget.preferenceForKey("SettingsGenreID") != null) {
				settingsGenreID = parseInt(widget.preferenceForKey("SettingsGenreID"));
				settingsFavGenreID = settingsGenreID;
			} else {
				settingsGenreID = null;
			}

			if (widget.preferenceForKey("SettingsGenreName") != null) {
				settingsGenreName = widget.preferenceForKey("SettingsGenreName");
			} else {
				settingsGenreName = '';
			}

			if (isSet(widget.preferenceForKey("SavedCode"))) {
				eval(widget.preferenceForKey("SavedCode"));
			}

//			WRTui.showAlert(settingsMusicStore + '\n' + settingsMusicStoreISO + '\n' + settingsGenreID + '\n' + settingsGenreName, 5000);

			// Check for new version and code
			//newCode('verCheck');
			
			callback.call();
			return true;
			// Code that loads the correct info from the XML feed
		}
    } else {

        firstRun = 1; 
		if (firstRun != 0) {
			firstRun = 1;
			callback.call();
			return true;
		} else {
			firstRun = 0;
			settingsMusicStore = 18; // 4
			settingsMusicStoreISO = 'gb'; // 4
			settingsGenreID = 9;

			return true;
			// Code that loads the correct info from the XML feed
		}
	}
}