//save url here so when connecting is done it will be used for play
//ui should block until player starts playing or times out or throw exception
var playURL;
var flashPlayerState = 0;

function playerRePos(rePos) {
	var playerDiv = document.getElementById("streamplayer_view");
	if (rePos==1) {
		playerDiv.style.top = document.body.scrollTop+10;
	} else {
		playerDiv.style.top = 0;
	}
}

function getMovieName(movieName){
	return document[movieName];
}

function flashPlayerStop() {
	flashPlayer(0);
//	replaceAllStopButtonsWithPlayButtons();
	WRTui.hideAlert();
}

function flashPlayer(playerState, streamUrl){
	playerRePos(playerState);
	thePlayer = getMovieName("MusicExplorerStreamPlayer");
	
	switch (playerState)
	{
		case 0:
			thePlayer.callPlayer(0);			
			if (window.widget) {
				if (WRTui.currentView.id == 'main_view') {
					menu.setRightSoftkeyLabel(LOCALISED_STRINGS[settingsMusicStoreISO]['Hide'], hideWidget);
				} else if (WRTui.currentView.id == 'search_view') {
					menu.setRightSoftkeyLabel(LOCALISED_STRINGS[settingsMusicStoreISO]['Main'], showMainView);
				}
			}
			break;
		case 1:
			if (WRTui.currentView.id == 'main_view' || WRTui.currentView.id == 'search_view') {
				if (window.widget) {
					menu.setRightSoftkeyLabel(LOCALISED_STRINGS[settingsMusicStoreISO]['Cancel'], flashPlayerStop);
				}
			}
			var urls = extractStreamingUrls(streamUrl);
			thePlayer.callPlayer(1, urls.mp3);
			break;
		case 3:
			var urls = extractStreamingUrls(streamUrl);
			thePlayer.connectPlayer(urls.rtmp);
			break;
	}
}
/** 
On player connection Failed or Rejected: -1
On player connection Success code: 3
On stream loading: 2
On stream playing: 1
On stream stopped: 0
**/
function playerSetState(playerState){
	if (playerState == -1) {
		setTimeout('flashPlayer(3, "rtmp://stream.music.ovi.com/a1139/l1/mp3:1.0/s/clips/pc/musicgb/10550971/13/10550971")', 1000);
//		WRTui.showAlert(LOCALISED_STRINGS[settingsMusicStoreISO]['ErrorPlayerConnect'],2000);
		flashPlayerState = 0;
	}
	if (playerState == 3) {
//		WRTui.showAlert('Player connected');
		flashPlayerState = 1;
	}
	if (playerState == 2) {
	}
	if (playerState == 1) {
//		alert("playerState 1");
		setTimeout('setPlayerWinButton(0);', 500);
	}
	if (playerState == 0) {
//		replaceAllStopButtonsWithPlayButtons();
		if (window.widget) {
			if (WRTui.currentView.id == 'main_view') {
				menu.setRightSoftkeyLabel(LOCALISED_STRINGS[settingsMusicStoreISO]['Hide'], hideWidget);
			} else if (WRTui.currentView.id == 'search_view') {
				menu.setRightSoftkeyLabel(LOCALISED_STRINGS[settingsMusicStoreISO]['Main'], showMainView);
			}
		}
//		alert('Stream Stopped');
	}
	return playerState;
}

function setPlayerWinButton(state) {	
	if (state==0) {
		WRTui.hideAlert();
//		WRTui.showAlert(LOCALISED_STRINGS[settingsMusicStoreISO]['StreamLoading'], 1000);
		if (window.widget) {
			menu.setRightSoftkeyLabel(LOCALISED_STRINGS[settingsMusicStoreISO]['Stop'], flashPlayerStop);
		}
	}
}

function extractStreamingUrls(url){
		var urls = url.split('mp3:');
		return {
			rtmp: urls[0],
			mp3: 'mp3:' + urls[1]
		};
	return {
		rtmp: undefined,
		mp3: undefined
	};
}
