/*
   *************************************************************
   Function used to show notice that the Settings needs to be
   set before the widget will work properly.
   
   This is triggered on first run after installation if the user
   adds the widget to the home screen before running it in full
   screen.                                                      
   *************************************************************
*/
function showSettingsNote() {
	// Set the splash text
	var splashTextString = LOCALISED_STRINGS[settingsMusicStoreISO]['ConfigureNote'];
	var splashHtml = '<div style="height:100%;background: url(WRTKit/Resources/NotificationPopupBackground.png) repeat-x;background-position: 0px -40px; repeat-x;"><img alt="" src="icon.png" class="splash_logo_mini" /><br><div class="splashTxtMini" id="splashTxt">'+splashTextString+'</div></div>';
	miniView.parentElement.innerHTML = splashHtml;

	// show the mini view
	setTimeout('WRTui.showView(miniView)',10);
}