/*
   ***********************
   Save widget preferences
   ***********************
*/
function saveSettingsGenreID(settingsGenreID_, settingsGenreName_) {
	if (window.widget) {
		hbTracking('genreFavourite',settingsGenreName_);
		settingsGenreID = settingsGenreID_;
		settingsGenreName = settingsGenreName_;
		widget.setPreferenceForKey(settingsGenreID.toString(), "SettingsGenreID");
		widget.setPreferenceForKey(settingsGenreName.toString(), "SettingsGenreName");
	}
}

function savePreferences() {
	if (window.widget) {
		if (settingsMusicStore != 0) {
			settingsSaved = true;
			// save settings in widget preferences store
			// Trigger hitboox first run counter
			if (firstRun == 1) hbTracking('firstRun');

			firstRun = 0;
			widget.setPreferenceForKey(firstRun.toString(), "FirstRun");
			widget.setPreferenceForKey(settingsMusicStore.toString(), "SettingsMusicStore");
			widget.setPreferenceForKey(settingsMusicStoreISO, "SettingsMusicStoreISO");

			if(settingsGenreID != null) {
				widget.setPreferenceForKey(settingsGenreID.toString(), "SettingsGenreID");
			}					

			if (settingsGenreName != null) {
				widget.setPreferenceForKey(settingsGenreName, "SettingsGenreName");
			}
			
			hbTracking("storeSelection");
			
			drawMainView("showMainView();");
		}
		else {
			WRTui.showAlert(LOCALISED_STRINGS[settingsMusicStoreISO]["PleaseSelectStore"], 2000);
		}
	}
	else {
		showMainView();
	}
}